> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow

> Update a workflow.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /workspaces/{workspace_id}/workflows/{workflow_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflows/{workflow_id}:
    patch:
      tags:
        - workflows
      summary: Update Workflow
      description: Update a workflow.
      operationId: workflows-update_workflow
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: workflow_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                pattern: wf_[0-9a-zA-Z]+
              - type: string
                pattern: wf-[0-9a-f]{32}
            title: Workflow Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    WorkflowUpdate:
      properties:
        title:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 3
            - type: 'null'
          title: Title
          description: Workflow title, between 3 and 100 characters
        description:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Description
          description: Optional workflow description, up to 1000 characters
        status:
          anyOf:
            - type: string
              enum:
                - online
                - offline
            - type: 'null'
          title: Status
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        entrypoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Entrypoint
        icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon Url
        expects:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ExpectedField-Input'
              type: object
            - type: 'null'
          title: Expects
        returns:
          anyOf:
            - {}
            - type: 'null'
          title: Returns
        config:
          anyOf:
            - $ref: '#/components/schemas/DSLConfig-Input'
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        error_handler:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Handler
      type: object
      title: WorkflowUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExpectedField-Input:
      properties:
        type:
          type: string
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        default:
          title: Default
        enum:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enum
        optional:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Optional
      additionalProperties: false
      type: object
      required:
        - type
      title: ExpectedField
      description: |-
        Schema for a field in a template action's expects definition.

        Note: The default field uses a sentinel to distinguish between
        "no default specified" (required field) and "default is explicitly None"
        (optional field).
    DSLConfig-Input:
      properties:
        scheduler:
          type: string
          enum:
            - static
            - dynamic
          title: Scheduler
          description: The type of scheduler to use.
          default: dynamic
        environment:
          type: string
          title: Environment
          description: >-
            The workflow's target execution environment. This is used to isolate
            secrets across different environments.If not provided, the default
            environment (default) is used.
          default: default
        timeout:
          type: number
          title: Timeout
          description: >-
            Workflow timeout in seconds. If set to 0, the workflow has no
            timeout.
          default: 0
      type: object
      title: DSLConfig
      description: |-
        This is the runtime configuration for the workflow.

        Activities don't need access to this.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````